# This file created by conda-build 3.21.9
# meta.yaml template originally from:
# /Users/runner/work/q2-dada2/q2-dada2/ci/recipe, last modified Tue Nov 22 17:55:12 2022
# ------------------------------------------------

package:
  name: q2-dada2
  version: 2022.11.0.dev0+5.gf2a8c07
source:
  path: /Users/runner/work/q2-dada2/q2-dada2
build:
  script: make install
  string: py38_0
requirements:
  host:
    - bzip2 1.0.8 h0d85af4_4
    - ca-certificates 2022.9.24 h033912b_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.40.0 ha978bb4_0
    - libzlib 1.2.13 hfd90126_4
    - ncurses 6.3 h96cf925_1
    - openssl 3.0.7 hfd90126_0
    - pip 22.3.1 pyhd8ed1ab_0
    - python 3.8.15 hf9b03c3_0_cpython
    - readline 8.1.2 h3899abd_0
    - setuptools 65.6.0 pyhd8ed1ab_0
    - tk 8.6.12 h5dbffcc_0
    - wheel 0.38.4 pyhd8ed1ab_0
    - xz 5.2.6 h775f41a_0
  run:
    - bioconductor-dada2
    - biom-format >=2.1.12
    - openjdk
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
    - q2-types 2022.11.*
    - qiime2 2022.11.*
    - r-base >=4.2.0
    - r-optparse >=1.7.1
test:
  commands:
    - py.test --pyargs q2_dada2
  imports:
    - q2_dada2
    - qiime2.plugins.dada2
  requires:
    - pytest
    - q2-types >=2022.11.0.dev0+6.gbd3f447
    - qiime2 >=2022.11.0.dev0+16.g77df12a
about:
  home: https://qiime2.org
  license: BSD-3-Clause
  license_family: BSD
extra:
  copy_test_source_files: true
  final: true
